Class | Rake::FileTask
In: | lib/rake.rb
Parent: | Task

######################################################################### A FileTask is a task that includes time based dependencies. If any of a FileTask‘s prerequisites have a timestamp that is later than the file represented by this task, then the file must be rebuilt (using the supplied actions).

### Methods

needed? timestamp

### Public Instance methods

needed?()

Is this file task needed? Yes if it doesn‘t exist, or if its time stamp is out of date.

[Source]

         # File lib/rake.rb, line 680
    680:     def needed?
    681:       return true unless File.exist?(name)
    682:       return true if out_of_date?(timestamp)
    683:       false
    684:     end

timestamp()

Time stamp for file task.

[Source]

         # File lib/rake.rb, line 687
    687:     def timestamp
    688:       if File.exist?(name)
    689:         File.mtime(name.to_s)
    690:       else
    691:         Rake::EARLY
    692:       end
    693:     end

[Validate]